#ifndef _Graphic
#define _Graphic

#include <cstdlib>
#include "SDL/SDL.h"

// Author of this class: Davide "M3xican" Coppola - dmc@dev-labs.net
// found on http://www.libsdl.org/

#define DIM_H 1024
#define DIM_V 768

//used structures
struct point
{
	int x;
	int y;
};

//graphic functions 
void draw_pixel(SDL_Surface *surface, int x, int y, SDL_Color s_color);
void draw_line(SDL_Surface *surface, point p0, point p1, SDL_Color color);
void draw_square(SDL_Surface *surface, point p, int lenght, SDL_Color color);
void draw_square(SDL_Surface *surface,const SDL_Rect *rect , SDL_Color border_color, SDL_Color fill_color);
void fill_square(SDL_Surface *surface,SDL_Rect *rect, SDL_Color fill_color);

#endif
