#ifndef _Test
#define _Test

#include "Noeud.h"
#include "Arbre.h"
#include "Classif.h"
#include <fstream>
#include <vector>
#include <string>

using namespace std;

// classe memorisant les donnees de test et effectuant des tests sur les arbres crees

class Test {

public:
	
	Test () {
		classes=0;
	}
	
	// on recupere le classifieur deja calcule;
	// on devrait plutot prendre juste ses donnees, et separer un peu comme pour test; pour plus tard..
	Test (const Classif& cl) {
		classifieur=cl;
		classes=0;
	}
	
	~Test () {
		delete [] classes;
	}
	
	// pour charger les donnees en memoire
	void loadData(char* name,const string& typesAttributs);
	
	// pour tester un arbre sur des donnees
	int launchTest(bool sideEffects,string dataType);
	
	Classif classifieur; // utile pour connaitre l'arbre et les donnees d'entrainement
	// les attributs ranges par types:
	vector<StringOuMiss*> attDiscrets;
	vector<FloatOuMiss*> attContinus;
	vector<IntOuMiss*> attDiscOrdonnes;
	string* classes; // les chaines decrivant les classes
	int nbLines; // nombre de lignes lues dans le fichier

};
	
#endif
